summaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
authorMatthew Krafczyk <krafczyk.matthew@gmail.com>2017-02-08 15:43:30 -0600
committerMatthew Krafczyk <krafczyk.matthew@gmail.com>2017-02-08 16:25:42 -0600
commit3c4959f6668d3093e70fadaebed5db15e78ce958 (patch)
tree19b7b5588ba70f604f27c9842b261ced2c9ac1b4 /share
parentc0ee44bf27ecd3f971abb8748491f63734918ef7 (diff)
downloadspack-3c4959f6668d3093e70fadaebed5db15e78ce958.tar.gz
spack-3c4959f6668d3093e70fadaebed5db15e78ce958.tar.bz2
spack-3c4959f6668d3093e70fadaebed5db15e78ce958.tar.xz
spack-3c4959f6668d3093e70fadaebed5db15e78ce958.zip
No longer automatically install bootstrap packages.
Source spack-env.sh to execute spack bootstrap. Then source spack-env.sh again to get module functionality.
Diffstat (limited to 'share')
-rwxr-xr-xshare/spack/setup-env.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/share/spack/setup-env.sh b/share/spack/setup-env.sh
index 0efc1222e9..b8f71196d1 100755
--- a/share/spack/setup-env.sh
+++ b/share/spack/setup-env.sh
@@ -219,14 +219,13 @@ fi;
#
if [ "${need_module}" = "yes" ]; then
#check if environment-modules~X is installed
- spack location -i environment-modules~X >& /dev/null
- if [ $? -eq 1 ]; then
- #install it!
- spack install environment-modules~X
+ module_prefix=`spack location -i environment-modules~X 2>&1`
+ if [ $? -eq 0 ]; then
+ #activate it!
+ export MODULE_PREFIX=${module_prefix}
+ module() { eval `${MODULE_PREFIX}/Modules/bin/modulecmd ${SPACK_SHELL} $*`; }
fi;
- export MODULE_PREFIX=`spack location -i environment-modules~X`
- module() { eval `${MODULE_PREFIX}/Modules/bin/modulecmd ${SPACK_SHELL} $*`; }
fi;
#